## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iParticlesColorCallback Struct Reference
[Mesh plugins, Mesh plugins]

Particles state can be set up to retrieve color via a callback. More...

`#include <imesh/particles.h>`

Inheritance diagram for iParticlesColorCallback:

[legend]
List of all members.

## Public Member Functions

virtual csColor | GetColor (float time)=0
| Return a color appropriate for a particle at a given time.

## Detailed Description

Particles state can be set up to retrieve color via a callback.

This interface must be implemented by objects which wish to provide color information to the particles state.

Definition at line 95 of file particles.h.

## Member Function Documentation

virtual csColor iParticlesColorCallback::GetColor | ( | float | time | ) | `[pure virtual]`

Return a color appropriate for a particle at a given time.

Parameters:

  | time | Time left for particle (1.0 for just born ranging to 0.0 for dead)

The documentation for this struct was generated from the following file:

- imesh/particles.h